Bug 1735207 - felix-bundlerepository: FTBFS in Fedora rawhide/f31
Summary: felix-bundlerepository: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: felix-bundlerepository
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stewardship SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:12 UTC by Fedora Release Engineering
Modified: 2019-09-26 00:01 UTC (History)
7 users (show)

Fixed In Version: felix-bundlerepository-2.0.10-7.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-26 00:01:45 UTC


Attachments (Terms of Use)
build.log (21.36 KB, text/plain)
2019-07-31 19:12 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 19:12 UTC, Fedora Release Engineering
no flags Details
state.log (685 bytes, text/plain)
2019-07-31 19:12 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 19:12:25 UTC
felix-bundlerepository failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36633290


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix felix-bundlerepository at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
felix-bundlerepository will be orphaned. Before branching of Fedora 32,
felix-bundlerepository will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 19:12:27 UTC
Created attachment 1596108 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 19:12:30 UTC
Created attachment 1596109 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 19:12:31 UTC
Created attachment 1596110 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:55:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:50:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fabio Valentini 2019-08-13 21:21:43 UTC
Looking at the build log, it looks like this package is not compatible with OSGi 7.0.0 and needs to be ported with a patch.

Mat, can you do a quick check if I'm right? You know more about this stuff than I do.

Comment 7 Mikolaj Izdebski 2019-08-13 21:36:21 UTC
From a quick look it seems that indeed 0002-Compatibility-with-osgi-r6.patch needs to be extended for OSGi R7

Comment 8 Fedora Update System 2019-09-17 17:01:50 UTC
FEDORA-2019-07f236ce22 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-07f236ce22

Comment 9 Fedora Update System 2019-09-18 02:00:25 UTC
felix-bundlerepository-2.0.10-7.fc31, felix-osgi-obr-1.0.2-24.fc31, felix-shell-1.4.3-15.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-07f236ce22

Comment 10 Fedora Update System 2019-09-26 00:01:45 UTC
felix-bundlerepository-2.0.10-7.fc31, felix-osgi-obr-1.0.2-24.fc31, felix-shell-1.4.3-15.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.